/*
 * Header of the proxy around Rhythmbox's Bonobo interface.
 *
 * Rhythmbox Applet
 * Copyright (C) 2004 Paul Kuliniewicz <kuliniew@purdue.edu>
 * Modifications by Jon Oberheide <jon@oberheide.org>
 *
 * $Id: rb-proxy.h,v 1.5 2004/09/07 20:21:21 binaryjono Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef RB_PROXY_H
#define RB_PROXY_H

#include <glib-object.h>
#include "Rhythmbox.h"		/* for GNOME_Rhythmbox_SongInfo */

#define RB_TYPE_PROXY		rb_proxy_get_type ()
#define RB_PROXY(o) 		(G_TYPE_CHECK_INSTANCE_CAST ((o), RB_TYPE_PROXY, RbProxy))
#define RB_PROXY_CLASS(k) 	(G_TYPE_CHECK_CLASS_CASE ((k), RB_TYPE_PROXY, RbProxyClass))
#define RB_IS_PROXY(o) 		(G_TYPE_CHECK_INSTANCE_TYPE ((o), RB_TYPE_PROXY))
#define RB_PROXY_GET_CLASS(o) 	(G_TYPE_INSTANCE_GET_CLASS ((o), RB_TYPE_PROXY, RbProxyClass))

typedef GNOME_Rhythmbox_SongInfo RbProxySongInfo;
typedef struct RbProxyPrivate RbProxyPrivate;

typedef struct
{
	GObject parent;
	/*< private >*/
	RbProxyPrivate *priv;
} RbProxy;

typedef struct
{
	GObjectClass parent_class;
	/*< signals >*/
	void (*state_changed) (RbProxy *proxy, const RbProxySongInfo *song);
} RbProxyClass;

GType rb_proxy_get_type (void);
RbProxy *rb_proxy_new (void);
RbProxySongInfo *rb_proxy_get_song_info (RbProxy *proxy);

#endif /* RB_PROXY_H */
